Bug 1289141 - [abrt] hexchat: _gtk_tree_data_list_free(): hexchat killed by SIGSEGV
[abrt] hexchat: _gtk_tree_data_list_free(): hexchat killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: hexchat (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Griffis
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:cfb4704c94222a8e57de98f33f6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 09:14 EST by emanuel.hippster
Modified: 2016-12-20 11:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:43:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.14 KB, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: core_backtrace (30.74 KB, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: dso_list (12.38 KB, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: environ (2.62 KB, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: exploitable (100 bytes, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: maps (56.86 KB, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: mountinfo (3.23 KB, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: open_fds (837 bytes, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details
File: var_log_messages (305 bytes, text/plain)
2015-12-07 09:14 EST, emanuel.hippster
no flags Details

  None (edit)
Description emanuel.hippster 2015-12-07 09:14:11 EST
Version-Release number of selected component:
hexchat-2.10.2-4.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        hexchat -e irc://irc.freenode.net/#fedora
crash_function: _gtk_tree_data_list_free
executable:     /usr/bin/hexchat
global_pid:     5313
kernel:         4.2.6-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_tree_data_list_free at gtktreedatalist.c:51
 #1 g_sequence_foreach_range at gsequence.c:319
 #2 g_sequence_foreach at gsequence.c:350
 #3 gtk_list_store_finalize at gtkliststore.c:374
 #5 gtk_tree_view_set_model at gtktreeview.c:10803
 #6 gtk_tree_view_destroy at gtktreeview.c:1704
 #11 gtk_object_dispose at gtkobject.c:421
 #13 gtk_scrolled_window_forall at gtkscrolledwindow.c:1082
 #14 gtk_container_destroy at gtkcontainer.c:1073
 #19 gtk_object_dispose at gtkobject.c:421
Comment 1 emanuel.hippster 2015-12-07 09:14:17 EST
Created attachment 1103230 [details]
File: backtrace
Comment 2 emanuel.hippster 2015-12-07 09:14:19 EST
Created attachment 1103231 [details]
File: cgroup
Comment 3 emanuel.hippster 2015-12-07 09:14:21 EST
Created attachment 1103232 [details]
File: core_backtrace
Comment 4 emanuel.hippster 2015-12-07 09:14:23 EST
Created attachment 1103233 [details]
File: dso_list
Comment 5 emanuel.hippster 2015-12-07 09:14:25 EST
Created attachment 1103234 [details]
File: environ
Comment 6 emanuel.hippster 2015-12-07 09:14:27 EST
Created attachment 1103235 [details]
File: exploitable
Comment 7 emanuel.hippster 2015-12-07 09:14:28 EST
Created attachment 1103236 [details]
File: limits
Comment 8 emanuel.hippster 2015-12-07 09:14:31 EST
Created attachment 1103237 [details]
File: maps
Comment 9 emanuel.hippster 2015-12-07 09:14:33 EST
Created attachment 1103238 [details]
File: mountinfo
Comment 10 emanuel.hippster 2015-12-07 09:14:35 EST
Created attachment 1103239 [details]
File: namespaces
Comment 11 emanuel.hippster 2015-12-07 09:14:37 EST
Created attachment 1103240 [details]
File: open_fds
Comment 12 emanuel.hippster 2015-12-07 09:14:39 EST
Created attachment 1103241 [details]
File: proc_pid_status
Comment 13 emanuel.hippster 2015-12-07 09:14:41 EST
Created attachment 1103242 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 09:02:27 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 11:43:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.